Skip to main content
`Ctrl`+`K`

# VecStrideScale

Scales a subvector of a vector defined by a starting point and a stride.

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecStrideScale(Vec v, PetscInt start, PetscScalar scale)

Logically Collective

## Input Parameters

- v - the vector

- start - starting point of the subvector (defined by a stride)

- scale - value to multiply each subvector entry by

## Notes

One must call `VecSetBlockSize()` before this routine to set the stride information, or use a vector created from a multicomponent `DMDA`.

This will only work if the desire subvector is a stride subvector

## See Also

`Vec`, `VecNorm()`, `VecStrideGather()`, `VecStrideScatter()`, `VecStrideMin()`, `VecStrideMax()`

## Level

advanced

## Location

src/vec/vec/utils/vinv.c

## Examples

src/vec/vec/tutorials/ex13.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages